# Olive - Api de receitas

## Execução Desenvolvimento

- Execução das dependências de ambiente

        docker-compose -f docker-compose.dev.yml up -d

- Execução das dependências do projeto

        npm install

- Execução da API

        npm run dev

- Verificação da execução da api

        curl --request GET --url http://0.0.0.0:8080/health

## Execução Homologação

- Build da imagem do projeto

        docker build -t olive_recipes_hom:latest .

- Execução das dependências de ambiente

        docker-compose -f docker-compose.hom.yml up -d

- Verificação da execução da api

        curl --request GET --url http://0.0.0.0:8000/health

## Execução Produção *(W.I.P.)*

- Build da imagem do projeto

        docker build -t olive_recipes:latest .

- Execução do projeto em conjunto com o ambiente

        docker-compose up -d

- Verificação da execução da api

        curl --request GET --url http://0.0.0.0:7000/health

### Scripts

- Foram disponibilizados scripts para uma inicialização rápida de dava ambiente na pasta `script`, estes podem ser executados através do comando abaixo

        ./scripts/run-{ambiente}.sh

### Camadas

- Controller
- Service
- Database (repository)