import path from 'path';

module.exports = {
  default: {
    client: 'pg',
    pool: {
      min: 2,
      max: 10,
    },
    connection: {
      host: process.env.DATABASE_HOST || '0.0.0.0',
      user: process.env.DATABASE_USER || 'olive',
      password: process.env.DATABSE_PASSWORD || 'olive',
      database: process.env.DATABSE_SCHEMA || 'olive',
    },
    migrations: {
      directory: path.resolve(__dirname, 'src', 'database', 'migrations'),
    },
    seeds: {
      directory: path.resolve(__dirname, 'src', 'database', 'seeds'),
    },
    useNullAsDefault: true,
  },
  test: {
    client: 'pg',
    connection: {
      host: process.env.POSTGRES_TEST_HOST || '0.0.0.0',
      user: 'olive',
      password: 'olive',
      database: 'olive',
      port: process.env.POSTGRES_TEST_PORT || 5433,
    },
    migrations: {
      directory: path.join(__dirname, 'src', 'database', 'migrations'),
    },
    seeds: {
      directory: [path.join(__dirname, 'src', 'database', 'seeds'), path.join(__dirname, 'src', 'database', 'tests', 'seeds')],
    },
  },
};
