import { NextFunction, Request, Response } from 'express';
import getAllTags from '../services/tagService';

export default async function indexTags(
  req: Request, res: Response, next: NextFunction,
): Promise<void> {
  try {
    const tags = await getAllTags();
    res.status(200).json({
      message: 'OK',
      data: tags,
    });
  } catch (error) {
    next(error);
  }
}
