import { Knex } from 'knex';

export async function up(knex: Knex): Promise<void> {
  return knex.schema
    .hasTable('recipes')
    .then((exists) => {
      if (!exists) {
        return knex.schema.createTable('recipes', (table) => {
          table.increments('recipe_id').primary().notNullable();
          table.string('ingredients', 1000).notNullable();
          table.string('description', 1000).notNullable();
          table.integer('preparation_time').unsigned().notNullable();
          table.integer('difficulty').unsigned().notNullable();
          table.string('user_id', 255).notNullable();
          table.string('status', 20).notNullable();
          table.integer('likes_number').notNullable();
          table.string('title', 150).notNullable();
        });
      }
    });
}

export async function down(knex: Knex): Promise<void> {
  return knex.schema
    .dropTable('recipes');
}
