import { Knex } from 'knex';

export async function up(knex: Knex): Promise<void[]> {
  return Promise.all([
    knex.schema
      .createTable('tags', (table) => {
        table.increments('tag_id').primary().notNullable();
        table.string('title', 100).notNullable();
      }),
    knex.schema
      .createTable('recipes_tags', (table) => {
        table.increments('id').primary().notNullable();
        table.integer('recipe_id').references('recipes.recipe_id').onDelete('CASCADE').onUpdate('CASCADE');
        table.integer('tag_id').references('tags.tag_id').onDelete('CASCADE').onUpdate('CASCADE');
      }),
  ]);
}

export async function down(knex: Knex): Promise<void[]> {
  return Promise.all([
    knex.schema.dropTable('recipes_tags'),
    knex.schema.dropTable('tags'),
  ]);
}
