import { Knex } from 'knex';

export async function up(knex: Knex): Promise<void> {
  return knex.schema.hasTable('steps')
    .then((exists) => {
      if (!exists) {
        return knex.schema.createTable('steps', (table) => {
          table.increments('step_id').primary().notNullable();
          table.string('title', 100).notNullable();
          table.string('description', 1000).notNullable();
          table.integer('position').notNullable();
          table.integer('recipe_id').references('recipes.recipe_id').onDelete('CASCADE').onUpdate('CASCADE');
        });
      }
    });
}

export async function down(knex: Knex): Promise<void> {
  return knex.schema.dropTable('steps');
}
