import Step from './steps';
import Tag from './tag';

export default class Recipe {
  constructor(
    title: string, description: string,
    ingredients: string, preparation_time: number,
    difficulty: number, portions: number,
    user_id: string, status: string,
    tags: Tag[], steps: Step[],
  ) {
    this.ingredients = ingredients;
    this.description = description;
    this.preparation_time = preparation_time;
    this.difficulty = difficulty;
    this.user_id = user_id;
    this.status = status;
    this.title = title;
    this.tags = tags;
    this.steps = steps;
    this.portions = portions;
  }

    public recipe_id?: number;

    public ingredients: string | string[];

    public description: string;

    public preparation_time: number;

    public difficulty: number;

    public user_id: string;

    public status: string;

    public likes_number?: number = 0;

    public portions: number;

    public title: string;

    public active: number = 1;

    public tags: Tag[];

    public steps: Step[];
}
