import {errors} from 'celebrate';
import cors from 'cors';
import express from 'express';
import path from 'path';
import swagger from 'swagger-ui-express';
import YAML from 'yamljs';
import routes from './routes';

const app = express();
app.use(cors());
app.use(express.json());
app.use(routes);
app.use(errors());

//if (process.env.NODE_ENV === 'development') {
  const swaggerDocument = YAML.load(path.resolve(__dirname, '..', 'swagger.yaml'));
  app.use('/api-docs', swagger.serve, swagger.setup(swaggerDocument, { explorer: true }));
//}

export default app;
